This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.283. __nv_tan

Prototype:

    double @__nv_tan(double %x)

Description:

Calculate the tangent of the input argument `x` (measured in radians).

Returns:

- __nv_tan( ± 0 ) returns ± 0 .

- __nv_tan( ± ∞ ) returns NaN.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes